Subject: Serial console under current qemu: bisected.

From: Rob Landley <[email-masked]>
Date: Wed, 21 Oct 2009 17:54:48 -0500

Last week I reported a bug:

http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-October/076727.html

I managed to drill past the unrelated breakage and bisect it back to the 
relevant commit: It was introduced leading up to 2.6.29, by commit 
f751928e0ddf54ea4fe5546f35e99efc5b5d9938 written by Alan Cox.

It seems to make the kernel panic as soon as IRQs are enabled in the presence 
of CONFIG_SERIAL_PMACZILOG=y.  It's trivially reproducible under current qemu-
git.  Kernels before that boot to a shell prompt, kernels after that panic as 
soon as init launches.  (They work fine when you're not using a serial 
console.)

Rob
-- 
Latency is more important than throughput. It's that simple. - Linus Torvalds